---
title: WebGL2RenderingContext.getActiveUniformBlockParameter()
slug: Web/API/WebGL2RenderingContext/getActiveUniformBlockParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getActiveUniformBlockParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> retrieves information about an active uniform block within a {{domxref("WebGLProgram")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getActiveUniformBlockParameter(<var>program</var>, <var>uniformBlockIndex</var>, <var>pname</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>program</code></dt>
 <dd>A {{domxref("WebGLProgram")}} containing the active uniform block.</dd>
 <dt><code>uniformBlockIndex</code></dt>
 <dd>A {{domxref("GLuint")}} specifying the index of the active uniform block within the program.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to query. Possible values:
 <ul>
  <li><code>gl.UNIFORM_BLOCK_BINDING</code>: Returns a {{domxref("GLuint")}} indicating the uniform buffer binding point.</li>
  <li><code>gl.UNIFORM_BLOCK_DATA_SIZE</code>: Returns a {{domxref("GLuint")}} indicating the minimum total buffer object size.</li>
  <li><code>gl.UNIFORM_BLOCK_ACTIVE_UNIFORMS</code>: Returns a {{domxref("GLuint")}} indicating the number of active uniforms in the uniform block.</li>
  <li><code>gl.UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES</code>: Returns a {{jsxref("Uint32Array")}} indicating the list of active uniforms in the uniform block.</li>
  <li><code>gl.UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER</code>: Returns a {{domxref("GLboolean")}} indicating whether the uniform block is referenced by the vertex shader.</li>
  <li><code>gl.UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER</code>: Returns a {{domxref("GLboolean")}} indicating whether the uniform block is referenced by the fragment shader.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on which information is requested using the <code>pname</code> parameter. If an error occurs, {{jsxref("null")}} is returned.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var blockSize = gl.getActiveUniformBlockParameter(program,
                      blockIndex, gl.UNIFORM_BLOCK_DATA_SIZE);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.16", "getActiveUniformBlockParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetActiveUniformBlockiv.xhtml", "glGetActiveUniformBlockiv")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getActiveUniformBlockParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGL2RenderingContext.getActiveUniforms()")}}</li>
</ul>
